18 ноября 2013

Установить TeamViewer 9 (beta) в Ubuntu/Linux Mint

Logo TeamViewer.png TeamViewer — пакет программного обеспечения для удалённого контроля компьютеров, обмена файлами между управляющей и управляемой машинами, видеосвязи и веб-конференций. TeamViewer работает на операционных системах Windows, Mac OS X, Linux, iOS, Android и iPhone.

TeamViewer всего за несколько секунд устанавливает соединение с любым ПК или сервером в мире. Вы можете удалённо управлять компьютером вашего партнёра так, словно вы сидите за ним.
Многие люди нуждаются в таком виде доступа из-за разных причин, например для оказания техподдержки своим друзьям или коллегам, также не стоит забывать про администрирование различных серверов.


Установление связи 

Для установления связи TeamViewer должен быть запущен на обеих машинах. При запуске TeamViewer генерируется ID компьютера и пароль. Чтобы установить связь между компьютерами, клиент-оператор должен связаться с удаленным оператором и узнать его логин и пароль, а затем ввести их в клиент-TeamViewer.

Удалённое управление/поддержка

Мгновенная удалённая поддержка – нет необходимости в установке со стороны клиента. Удалённое обслуживание – круглосуточный доступ к удалённым компьютерам и серверам. Удалённый доступ – доступ к данным и приложениям в любом месте, в любое время. Домашний офис – доступ к офисному компьютеру из дома.

Установка TeamViewer 9 (beta)

Для установки TeamViewer 9 (beta) в Ubuntu/Linux Mint, выполните следующие команды в терминале:

Для систем 32-bit:

cd /tmp && wget download.teamviewer.com/download/version_9x/teamviewer_linux.deb && sudo dpkg -i teamviewer_linux.deb

sudo apt-get install -f


Для систем 64-bit:

cd /tmp && wget download.teamviewer.com/download/version_9x/teamviewer_linux_x64.deb && sudo dpkg -i teamviewer_linux_x64.deb

sudo apt-get install -f


После установки вы найдёте TeamViewer 9 в программах Интернет.

Посмотрите этот короткий видеообзор программы Team Viewer:



Источник:  http://www.teamviewer.com/ru

Удачи.

15 комментариев :

  1. Спасибо. На Pear OS 8 встала без проблем.

    ОтветитьУдалить
  2. Вот у меня дилетантский вопрос возник: А дистанционно управлять можно только одинаковыми системами?

    Т.е. только Ubuntu-Ubuntu или Windows-Windows, или можно как-то "кроссистемно" управляться. С Ubuntu на Windows и наоборот?

    ОтветитьУдалить
    Ответы
    1. С Ubuntu на Windows и наоборот. Система в данном случае ни при чём.

      Удалить
    2. Я с андроида Xperia Z Ultra спокойно без проблем управлял установленной на ноутбуке Pear OS.

      Удалить
  3. ===Я с андроида Xperia Z Ultra спокойно без проблем управлял установленной на ноутбуке Pear OS.===

    Круто!
    Действительно поражает моё воображение.

    ОтветитьУдалить
  4. А у меня не получилось поставить. Сначала пробовал ссылку ( 64 бит ), получил вот что
    dpkg: зависимости пакетов не позволяют настроить пакет teamviewer:
    teamviewer зависит от libc6-i386 (>= 2.4), однако:
    Пакет libc6-i386 не установлен.
    teamviewer зависит от lib32asound2, однако:
    Пакет lib32asound2 не установлен.
    teamviewer зависит от lib32z1, однако:
    Пакет lib32z1 не установлен.
    teamviewer зависит от ia32-libs, однако:
    Пакет ia32-libs не установлен.

    dpkg: ошибка при обработке параметра teamviewer (--install):
    проблемы зависимостей — оставляем не настроенным
    При обработке следующих пакетов произошли ошибки:
    teamviewer

    Потом попробовал deb пакеты с их сайта, получил "Неразрешимая зависимость lib32asounda.\

    Отчаялся и ушел спать)

    ОтветитьУдалить
    Ответы
    1. >>Отчаялся и ушел спать)<<

      Напрашивается "И комментарий писал уже во сне" :)
      Если серьезно, то проблемы с 32-х разрядными библиотеками в 13.10 периодически выскакивают...
      Если sudo apt-get install -f не помогает, можно посоветовать установить windows-версию в Wine, должна работать на ура. Team-viewer для Linux - это по сути и есть Windows-версия с собственными модулями Wine в придачу.

      Удалить
  5. Тоже х64 не поставилась с ошибкой lib32asound2 не установлен, но встала и рабоет х32 версия! Автору спасибо, отличный блог. Мне как новичку тут есть что почитать)

    ОтветитьУдалить
    Ответы
    1. Спасибо! Пытался обойти ошибку с lib32asound2 загружая отдельно пакеты... Спасибо за совет (решение под рукой) ,не пробовал установить 32 разрядную версию.

      Удалить
    2. https://launchpad.net/ubuntu/saucy/amd64/lib32asound2/1.0.25-4ubuntu3

      Удалить
  6. установил 32 версию, заработала, но после перезагрузки не запускается.. Повисит немного в процессах и все… странно

    ОтветитьУдалить
  7. Сделал для систем 64-bit:
    cd /tmp && wget download.teamviewer.com/download/version_9x/teamviewer_linux_x64.deb && sudo dpkg -i teamviewer_linux_x64.deb

    Выдало:
    Выбор ранее не выбранного пакета teamviewer.
    (Чтение базы данных … на данный момент установлено 237070 файлов и каталогов.)
    Распаковывается пакет teamviewer (из файла teamviewer_linux_x64.deb) …
    dpkg: зависимости пакетов не позволяют настроить пакет teamviewer:
    teamviewer зависит от libc6-i386 (>= 2.4), однако:
    Пакет libc6-i386 не установлен.
    teamviewer зависит от lib32asound2, однако:
    Пакет lib32asound2 не установлен.
    teamviewer зависит от lib32z1, однако:
    Пакет lib32z1 не установлен.
    teamviewer зависит от ia32-libs, однако:
    Пакет ia32-libs не установлен.

    dpkg: ошибка при обработке параметра teamviewer (--install):
    проблемы зависимостей — оставляем не настроенным
    При обработке следующих пакетов произошли ошибки:
    teamviewer

    ОтветитьУдалить
    Ответы
    1. Всего лишь нужно найти 4 пакета
      первый проверил libc6-i386
      он есть но версии 2.17-93 а программа говорит ей нужно (>= 2.4).
      lib32asound2 этого в репозиториях нет, нужно искать.
      lib32z1 этот есть можно установить, при установке предлагает обновить и libc6-i386 но версия его 2.17-93.
      ia32-libs этого в репозиториях нет, нужно искать.

      Удалить
    2. Вот тут автор все написал
      http://ubuntuforums.org/showthread.php?t=2182653&p=12823994#post12823994

      Do you mean TeamViewer?, if so there is a solution.
      TeamViewer On Ubuntu
      On newer 64-bit DEB-systems with Multiarch-support (Debian 7) teamviewer_linux_x64.deb cannot be installed because the package ia32-libs is not available anymore on these systems. In this case you can use teamviewer_linux.deb instead.
      In case you get the error “wrong architecture i386” you have to execute the following command lines:
      dpkg --add-architecture i386
      apt-get update
      For further information: http://wiki.debian.org/Multiarch/HOWTO

      Удалить
    3. Помогло вот это http://xaxatyxa.ru/ask/345/ubuntu-64-teamviewer-%D0%BD%D0%B5-%D1%80%D0%B0%D0%B7%D1%80%D0%B5%D1%88%D0%B8%D0%BC%D0%B0%D1%8F-%D0%B7%D0%B0%D0%B2%D0%B8%D1%81%D0%B8%D0%BC%D0%BE%D1%81%D1%82%D1%8C-%D0%BE%D1%82-lib32asound2

      Удалить